changeset 59:819335e06fd1

c139explore and pirexplore host wrapper shell scripts added
author Mychaela Falconia <falcon@freecalypso.org>
date Wed, 26 Oct 2016 15:28:29 +0000
parents cedd12ebf35a
children 87cb03b35f77
files miscutil/Makefile miscutil/c139explore miscutil/pirexplore
diffstat 3 files changed, 22 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/miscutil/Makefile	Wed Oct 26 07:48:29 2016 +0000
+++ b/miscutil/Makefile	Wed Oct 26 15:28:29 2016 +0000
@@ -1,6 +1,7 @@
 CC=	gcc
 CFLAGS=	-O2
 PROGS=	fc-fr2tch fc-rgbconv fc-serterm fc-tch2fr imei-luhn
+SCRIPTS=c139explore pirexplore
 INSTBIN=/opt/freecalypso/bin
 
 all:	${PROGS}
@@ -29,7 +30,7 @@
 
 install:
 	mkdir -p ${INSTBIN}
-	install -c ${PROGS} ${INSTBIN}
+	install -c ${PROGS} ${SCRIPTS} ${INSTBIN}
 
 clean:
 	rm -f ${PROGS} *.o *errs *.out
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/miscutil/c139explore	Wed Oct 26 15:28:29 2016 +0000
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 ttyport" 1>&2
+	exit 1
+fi
+
+fcdir=/opt/freecalypso
+exec $fcdir/bin/fc-compalram "$1" $fcdir/target-bin/c139explore.bin
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/miscutil/pirexplore	Wed Oct 26 15:28:29 2016 +0000
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 ttyport" 1>&2
+	exit 1
+fi
+
+fcdir=/opt/freecalypso
+exec $fcdir/bin/fc-iram -h pirelli "$1" $fcdir/target-bin/pirexplore.srec